%define majorrelease 1
%define	major	1
%define libname %mklibname %{name} %{major}

Summary:	GConf is a configuration database system.
Name:		GConf
Version: 	1.0.9
Release:	11mdk
License:	GPL
Group:		Graphical desktop/GNOME
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
#(fc) 1.0.9-2mdk backport GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL env variable handle from HEAD
Patch0:     GConf-1.0.9-disablemakefile.patch.bz2
# (fc) 1.0.9-4mdk don't add -L/usr/lib to ldflags
Patch1:		GConf-1.0.9-libdir.patch.bz2
# (fc) 1.0.9-5mdk default timeout to 2min instead of 15min (CVS)
Patch2:		GConf-1.0.9-exit-timeout.patch.bz2
# (fc) 1.0.9-5mdk enhance error message (Rawhide)
Patch3:		GConf-1.0.9-errormessage.patch.bz2
# (fc) 1.0.9-5mdk use new location of gconfd-2 (CVS)
Patch4:		GConf-1.0.9-libexecdir.patch.bz2
# (fc) 1.0.9-6mdk use local local if available (backport from GConf 2.3 branch) (Mdk bug 3762)
Patch5:		GConf-1.0.9-locallock.patch.bz2
# (fc) 1.0.9-6mdk don't build db3 backend (nobody uses it)
Patch6:		GConf-1.0.9-nodb3.patch.bz2
# (fc) 1.0.9-9mdk fix schema
Patch7:		GConf-1.0.9-fixschema.patch.bz2
URL:		http://www.gnome.org/projects/gconf/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  gnome-libs-devel oaf-devel libxml-devel
Prereq:		oaf 
PreReq: %{libname} = %{version}-%{release}

%description
GConf is a configuration database for the GNOME project.

%package -n %{libname}
Summary:	GConf is a configuration database system.
Group:		Graphical desktop/GNOME
Requires:   %{name} >= %{version}-%{release}

%description -n %{libname}
GConf is a configuration database for the GNOME project.

%package -n %{libname}-devel
Summary:	Development libraries and headers for GConf
Group:		Graphical desktop/GNOME
Provides:	lib%{name}-devel
Requires:	%name = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	oaf-devel
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel

%description -n %{libname}-devel
GConf is a configuration database for the GNOME project.

This package contains the header files and libraries needed to develop
applications using GConf.

%prep

%setup -q
%patch0 -p1 -b .disablemakefile
%patch1 -p1 -b .libdir
%patch2 -p1 -b .exit-timeout
%patch3 -p1 -b .errormessage
%patch4 -p1 -b .libexecdir
%patch5 -p1 -b .locallock
%patch6 -p1 -b .nodb3
%patch7 -p1 -b .fixschema

#needed by patch4
automake-1.4

#needed by patch6
aclocal && autoconf

%build

%configure2_5x --disable-debug

#doesn't support parallel compilation
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/GConf/%{majorrelease}/*.{la,a}

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-alternatives --install %{_bindir}/gconftool gconftool /usr/bin/gconftool-%{majorrelease} 10
GCONF_CONFIG_SOURCE="xml::%{_sysconfdir}/gconf/gconf.xml.defaults"	\
%{_bindir}/gconftool-1 \
	--makefile-install-rule %{_sysconfdir}/gconf/schemas/desktop.schemas > /dev/null \
&& chmod -R a+rX %{_sysconfdir}/gconf/gconf.xml.defaults ; true
if [ "$DURING_INSTALL" != "" ]; then
  killall oafd 2>&1 > /dev/null ; true
fi

%postun
if [ "$1" = "0" ]; then
		update-alternatives --remove gconftool /usr/bin/gconftool-%{majorrelease}
fi


%post -p /sbin/ldconfig -n %{libname}

%postun -p /sbin/ldconfig -n %{libname}

%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING ChangeLog INSTALL NEWS README
%config(noreplace) %{_sysconfdir}/gconf
%{_libdir}/GConf/%{majorrelease}/*.so
%{_bindir}/gconfd-%{majorrelease}
%ghost %{_bindir}/gconftool
%{_bindir}/gconftool-%{majorrelease}
%{_bindir}/gconf-sanity-check-1
%{_datadir}/gconf

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr (-, root, root)
%{_libdir}/*.so
%{_libdir}/*a
%{_bindir}/gconf-config
%{_bindir}/gconf-config-%{majorrelease}
%{_datadir}/aclocal/*
%{_includedir}/gconf
%{_libdir}/pkgconfig/*

%changelog
* Thu Aug 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-11mdk
- Force use of gconftool-1 in post script, preventing error at install time

* Wed Aug 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.9-10mdk
- libtool fixes

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.0.9-8mdk
- Rebuild

* Fri Apr 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.0.9-7mdk
- Fix devel dependency (Gtz)
- Simplify BuildRequires

* Thu Apr 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.0.9-6mdk
- Patch5 (2.3 CVS): use same local lock logic than GConf 2.3.x (fix Mdk bug 3762)
- mklibnamification

* Wed Aug 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-5mdk
- Add missing gconf-sanity-check-1 file to main package
- Patch2 (CVS): default timeout is now 2 minutes instead of 15min
- Patch3 (Rawhide): enhance error message
- Patch4 (CVS): use new location when looking for gconfd-2

* Tue Jul 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-4mdk
- Patch1: don't add -L/usr/lib to ldflags

* Wed May 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.9-3mdk
- Automated rebuild with gcc 3.1-1mdk

* Tue Mar 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-2mdk
- New URL
- Patch0: backport GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL environment
  variable honoring from HEAD

* Wed Mar 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-1mdk
- Release 1.0.9
- Remove patch1 (merged upstream)

* Mon Feb 25 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.8-2mdk
- enabled translations

* Tue Feb  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.8-1mdk
- Release 1.0.8
- Remove patch1 (merged upstream)

* Tue Jan  8 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0.7-2mdk
- -devel package Requires popt-devel

* Tue Oct 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-1mdk
- Release 1.0.7
- Remove patches 0 and 3 (merged upstream)

* Fri Oct 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-3mdk
- Patch2 (Debian): fix bustage with gal

* Thu Oct 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-2mdk
- Fix gconftool missing link when upgrading 

* Tue Oct 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-1mdk
- Release 1.0.6
- Use alternative for gconftool
- Regenerate Patch0

* Fri Oct 19 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.4-4mdk
- regenerate Patch0, really rebuild against new db3

* Fri Oct 19 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.4-3mdk
- rebuild against new db3

* Tue Aug 28 2001 Pixel <pixel@mandrakesoft.com> 1.0.4-2mdk
- ensure the %%post succeeds

* Thu Aug 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-1mdk
- Release 1.0.4
- Remove patch2 (merged upstream)

* Tue Aug 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-4mdk
- Regenerate patch2 with official fix from GNOME CVS

* Mon Aug 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-3mdk
- Patch2: let's make GConf a little less verbose with Galeon
- Create missing directories

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-2mdk
- Enforce dependency on libGConf0

* Mon Jul 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3

* Tue Jul 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2
- Regenerate patch 0

* Mon Jul 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-6mdk
- Rename path.example as path (fix from Christophe Fergeau)
- Resync with Havoc specfile

* Fri Jul 13 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-5mdk
- BuildRequires:	gnome-libs-devel
- BuildRequires:	popt-devel
- Copyright --> License
- Removed BuildRequires:	libgtk+1.2-devel
- Removed BuildRequires:	ORBit-devel

* Thu Jul  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-4mdk
- Regenerate patch 0 : rebuild against latest db3

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-3mdk
- BuildRequires:  ORBit-devel

* Wed Jun  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- lib package requires main package

* Tue May 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1
- patch1: remove some warnings
- Add pkgconfig files 

* Fri Mar 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-3mdk
- Correct BuildRequires (thanks to Vadim Plessky)

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-2mdk
- devel package now provides/obsoletes GConf-devel

* Mon Mar 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-1mdk
- Release 1.0.0
- Patch 0 to correctly detect db3 and provide db3 frontend

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.50-1mdk
- Release 0.50

* Mon Feb 12 2001 Warly <warly@mandrakesoft.com> 0.12-4mdk
- Really shutdown oafd during install

* Mon Feb 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-3mdk
- Shutdown oafd during install
- Remove old patches

* Tue Jan 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-2mdk
- Recompiled with oaf 0.6.2

* Mon Jan 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-1mdk
- Release 0.12

* Mon Nov 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-1mdk
- Release 0.11

* Mon Nov 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-4mdk
- Change major to 0 (I suck !!)

* Thu Nov 16 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-3mdk
- Split libraries in separate package

* Tue Sep  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-2mdk
- Use find_lang macro

* Thu Aug 10 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8.0
- update patch for new release

* Fri Aug  4 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7.0
- patch Makefile to prevent installing schemas at build time

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-3mdk
- Build without debugging code

* Wed Aug  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-2mdk
- BM + macroszification

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.6-1mdk
- Updated version to a more stable release

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.5-1mdk
- packaged for Mandrake
